/*
 * MoleculesQtQueryPipe.hpp
 *
 *  Created on: Nov 8, 2010
 *      Author: heber
 */

#ifndef MOLECULESQTQUERYPIPE_HPP_
#define MOLECULESQTQUERYPIPE_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include "Parameters/Parameter.hpp"
#include <Qt/qwidget.h>

#include <vector>

class QComboBox;

class molecule;
class QtDialog;

class MoleculesQtQueryPipe : public QWidget {
  Q_OBJECT
public:
  MoleculesQtQueryPipe(Parameter<std::vector<const molecule *> > &_content, QtDialog *_dialog, QComboBox *_theBox);
  virtual ~MoleculesQtQueryPipe();

public slots:
  void update(int);

private:
  Parameter<std::vector<const molecule *> > &content;
  QtDialog *dialog;
  QComboBox *theBox;

};


#endif /* MOLECULESQTQUERYPIPE_HPP_ */
